Subject: Re: bug#59575: 29.0.50; add-log-current-defun-header-regexp matches Windows drive letter

From: Dmitry Gutov <[email-masked]>
Date: Sun, 27 Nov 2022 15:05:43 +0200

On 27/11/22 10:29, Juanma Barranquero wrote:
>> Is that the intended behavior, to report the absence of the current defun?
> 
> The final intended behavior, IIUC, is that the filenames in the 
> xref--xref-buffer-mode get passed to which-function as "defun" names.

I don't mind this approach either, but given that the "definitions" in 
Xref buffers are often only 1 line long, or maybe a few, wouldn't 
showing the file name again somewhere nearby (e.g. the header bar) just 
be redundant?